# Jak přejít na Linux?

> **Pozor!** Na této stránce se stále pracuje.

Možná to na první pohled nemusí být zřejmé, ale **Linux** může být i **slušným desktopovým operačním systémem**. Na této stránce rozepisuji všechny důležité informace pro ty, kteří se rozhodnou Linux na svém PC vyzkoušet a třeba na něj i přejít. Celou stránku jsem rozdělil do **několika témat**, která podle mě nejvíce zajímají nováčky.

Rád bych taky upozornil, že se dříve či později určitě najde **nějaké téma, které tu zatím není** a mohlo by ostatním pomoci. Budu proto rád, když stránku rozšíříte na [mém Gitu](https://git.znachor.cz/Znachor/Space) nebo mě [kontaktujete](https://znachor.cz/kontakt).

**Rozdíly oproti jiným OS**

Linux se v mnohém liší od Windows i Mac OS a před jeho používáním je důležité pochopit jeho fungování.

**Prostředí systému**

Na Linuxu máte narozdíl od ostatních operačních systémů na výběr spoustu prostředí a proto nemusí být snadné si vybrat to pravé. Mezi nejznámější patří GNOME a KDE.

**Kompatibilita**

Největším problémem pro přecházející na Linux může být absence některých programů, na které jsou zvyklí.

**Hry**

Dříve na Linuxu bylo her poskromno, dnes si však můžete zahrát tisíce her a to nejen ze Steamu díky firmě Valve a jejímu Steamdecku (který běží právě na Linuxu).


## 🖥️ Prostředí systému

Na Linuxu panuje velká svoboda v tom, že si každý může vytvořit vlastní grafické rozhraní pro celý systém. V současné době jich jsou desítky, nejpoužívanějšími prostředími jsou však GNOME a KDE, na které se v této sekci zaměřím.

### GNOME

GNOME je desktopové prostředí, které se vyznačuje minimalistickým designem a jednoduchým uživatelským rozhraním. Poznáte jej na první pohled podle horního panelu s časem a přehledu aktivit společně se seznamem nainstalovaných aplikací a globálním vyhledáváním.

Společně s aplikacemi vytvořenými ve frameworku GTK tvoří GNOME příjemné a jednoduché prostředí, které je možné k vašim představám přizpůsobit pomocí témat i spousty rozšíření.

Osobně používám GNOME společně s Fedorou, nicméně najdete ho například i na Ubuntu, Debianu či Manjaru.

### KDE

KDE je desktopové prostředí, které se vyznačuje velmi vysokou mírou konfigurovatelnosti a personalizace. Jeho hlavním cílem je poskytnout uživatelům vysokou míru flexibility a schopnosti přizpůsobit si své pracovní prostředí podle svých potřeb.

Najdete ho například na distribucích Kubuntu či Manjaro.

## 🤝 Kompatibilita

Pravděpodobně máte na počítači spoustu, programů, které využíváte a jsou důležité pro vaši práci. Je pravděpodobné, že některý z programů, který používáte, není dostupný na Linuxu. V takovém případě máte v podstatě 3 možnosti:
- najít k programu alternativu,
- zprovoznit program [pomocí virtualizace](#wine),
- program přestat používat.

V případě, že existuje nějaká alternativa k takovému programu, tak doporučuji si tento program nainstalovat na váš současný OS, zvyknout si na něj a postupně přestat využívat ten původní.

Pokud se jedná o nějaký nepříliš důležitý program, bez kterého se obejdete, bude nejsnazší jej prostě nepoužívat nebo sáhnout po virtualizaci.

### Virtualizace

Na Linuxu se vám možná čas od času stane, že se vám do rukou dostane například exe soubor a vy s ním nějak musíte pracovat. V takové situaci máte dvě možnosti rozepsané detailně níže.

#### Wine

Wine je nadstavba? Linuxu, která umožňuje spouštět aplikace určené pro Windows díky tomu, že překládá volání určena pro Windows na ta volání, kterým rozumí Linux. Díky tomu je možné celkem jednoduše provozovat především jednodušší Windowsové programy téměř nativně i na Linuxu.

Výkonově se dokonce může stát, že vám pod Wine programy poběží lépe než na Windows, setkat se s tím můžete například u některých her.

Tato metoda má však nějaké limitace. I když se tímto způsobem dají celkem bez problémů [spouštět hry](#hry), některé programy pod Wine prostě fungovat nebudou.

Mezi nekompatibilní programy patří především **MS Office** a programy od **Adobe**, které nemají Linuxovou verzi a nelze je ani spouštět pomocí Wine. Zbývá vám tedy najít vhodnou alternativu ([třeba tady](/software/desktop.md)) nebo je spouštět ve virtuálním stroji. Pokud přesně tyto programy ke své práci nutně potřebujete a používáte je často, pak pro vás Linux v tuto chvíli není.

#### Virtuální stroj

Tato metoda zahrnuje instalaci Windowsů (či jiného OS) do virtuálního disku na vašem Linuxu. Dosáhnete tím mnohem lepší (ale ne dokonalou) kompatibilitu, nicméně se můžete potýkat s horším výkonem.

Kvůli problémům s výkonem tato metoda není úplně ideální pro spouštění her, hodit se ale může třeba pro občasnou práci s Office nebo i programy Adobe.


## 🎮 Hry

Dříve bylo na Linuxu možné hrát pouze pár her, které měli Linuxovou verzi [zdroj?]. V dnešní době si však bez větších problémů zahrajete tisíce her včetně těch nejnovějších.

Za tento zásadní průlom může především Valve se svým Steamdeckem, který je založený na Linuxu. Valve do zlepšení kompatibility pomocí Protonu a spousty dalších pomocných projektů investuje velké peníze a díky tomu se kompatibilita v poslední době zásadně zlepšila. Pokud navíc máte Steamdeck, můžete si snadno ověřit, co a jak dobře na Linuxu poběží.

Pokud vás zajímá, jaké hry jsou přesně podporovány a jak dobře, pomůže vám stránka [ProtonDB](https://protondb.com). Spustit se vám povede hry, které jsou označeny jako "Native", "Platinum" nebo "Gold", nicméně fungovat budou i některé další.

Pořád se však najdou hry, které si na Linuxu nezahrajete a to nejčastěji kvůli jejich anticheatům.